<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class LIDMigrationMapping extends \Google\Protobuf\Internal\Message
{
    


    protected $pn = null;
    


    protected $assignedLid = null;
    


    protected $latestLid = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getPn()
    {
        return isset($this->pn) ? $this->pn : 0;
    }

    public function hasPn()
    {
        return isset($this->pn);
    }

    public function clearPn()
    {
        unset($this->pn);
    }

    




    public function setPn($var)
    {
        GPBUtil::checkUint64($var);
        $this->pn = $var;

        return $this;
    }

    



    public function getAssignedLid()
    {
        return isset($this->assignedLid) ? $this->assignedLid : 0;
    }

    public function hasAssignedLid()
    {
        return isset($this->assignedLid);
    }

    public function clearAssignedLid()
    {
        unset($this->assignedLid);
    }

    




    public function setAssignedLid($var)
    {
        GPBUtil::checkUint64($var);
        $this->assignedLid = $var;

        return $this;
    }

    



    public function getLatestLid()
    {
        return isset($this->latestLid) ? $this->latestLid : 0;
    }

    public function hasLatestLid()
    {
        return isset($this->latestLid);
    }

    public function clearLatestLid()
    {
        unset($this->latestLid);
    }

    




    public function setLatestLid($var)
    {
        GPBUtil::checkUint64($var);
        $this->latestLid = $var;

        return $this;
    }

}

